# i.MX Platform Support
snd-soc-imx-objs := imx-pcm.o
snd-soc-imx-ac97-objs := imx-ac97.o
snd-soc-imx-ssi-objs := imx-ssi.o

obj-$(CONFIG_SND_MXC_SOC) += snd-soc-imx.o
obj-$(CONFIG_SND_MXC_SOC_AC97) += snd-soc-imx-ac97.o
obj-$(CONFIG_SND_MXC_SOC_I2S) += snd-soc-imx-ssi.o

# i.MX Machine Support
snd-soc-mx31-wm8753-objs := mx31_wm8753.o
obj-$(CONFIG_SND_MXC_SOC_MX3_WM8753) += snd-soc-mx31-wm8753.o


